Skip to main content
Model ID
kling-v2-6
Calling method: async

kling-v2-6 API Usage Guide

Overview

kling-v2-6 is Kling AI’s latest-generation video-synthesis model, capable of transforming text descriptions or reference images into polished, high-fidelity video clips with cinematic camera work, smooth realistic motion, and consistent visual style. It features stronger prompt understanding that can handle complex, multi-step instructions and causal relationships, improved physics-aware dynamics and stable camera control for fluid, natural action scenes, and greatly enhanced style/lighting/texture consistency across frames.

Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY

Submit Video Generation Request

Base URL

https://console.gmicloud.ai

Endpoint

POST /api/v1/ie/requestqueue/apikey/requests

Request Format

curl -X POST ""https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests"" \
  -H ""Authorization: Bearer YOUR_API_KEY"" \
  -H ""Content-Type: application/json"" \
  -d '{
    ""model"": ""kling-v2-6"",
    ""payload"": {
      ""prompt"": ""A majestic eagle soaring through a mountain landscape at sunset"",
      ""sound"": ""on"",
      ""image"": ""https://example.com/image.jpg"",
      ""duration"": ""5"",
      ""mode"": ""pro"",
      ""cfg_scale"": 0.5
    }
  }'

Request Parameters

ParameterTypeRequiredDescriptionDefaultConstraints
promptstringYesText prompt. Cannot exceed 2500 characters.-Required
imagestringNoSupport image URL (.jpg/.jpeg/.png). The image file size cannot exceed 10MB, andthe width and height dimensions of the image shall not be less than 300px, and the aspect ratio of the image should be between 1:2.5 ~ 2.5:1.-Max 1 image.
soundstringNoWhether to have sound or notnoOptions: yes, no
durationstringNoVideo Length, unit: s (seconds).5Options: 5, 10
modestringNo-proOptions: pro
cfg_scalestringNoFlexibility in video generation; The higher the value, the lower the model’s degree of flexibility, and the stronger the relevance to the user’s prompt.0.5Min: 0, Max: 1

Response

{
  ""request_id"": ""550e8400-e29b-41d4-a716-446655440000"",
  ""model"": ""kling-v2-5-turbo"",
  ""status"": ""queued"",
  ""created_at"": 1750442925,
  ""updated_at"": 1750442925,
  ""queued_at"": 1750442925
}

Check Request Status

Endpoint

GET /api/v1/ie/requestqueue/apikey/requests/{request_id}

Example

curl -X GET ""https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests/550e8400-e29b-41d4-a716-446655440000"" \
  -H ""Authorization: Bearer YOUR_API_KEY""

Response

{
  ""request_id"": ""550e8400-e29b-41d4-a716-446655440000"",
  ""org_id"": ""your-org-id"",
  ""model"": ""kling-v2-6"",
  ""status"": ""success"",
  ""is_public"": false,
  ""payload"": {
    ""prompt"": ""A majestic eagle soaring through a mountain landscape at sunset"",
    ""sound"": ""on"",
    ""image"": ""https://example.com/image.jpg"",
    ""duration"": ""5"",
    ""mode"": ""pro"",
    ""cfg_scale"": 0.5,

  },
  ""outcome"": {
    ""video_url"": ""https://storage.googleapis.com/bucket/generated-video.mp4"",
    ""thumbnail_image_url"": ""https://storage.googleapis.com/bucket/thumbnail.jpg""
  },
  ""created_at"": 1750442925,
  ""updated_at"": 1750442930,
  ""queued_at"": 1750442925
}

Request Status Values

StatusDescription
queuedRequest is waiting to be processed
processingVideo generation is in progress
successVideo generation completed successfully
failedVideo generation failed
cancelledRequest was cancelled

Endpoint

GET api/v1/ie/requestqueue/apikey/requests?model_id=kling-v2-6

Example

curl -X GET ""https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests?model_id=kling-v2-6"" \
  -H ""Authorization: Bearer YOUR_API_KEY""

Pricing

  • Pricing Type: Video length based pricing
  • Unit Price: 0.07persecond(noaudio),0.07 per second (no audio), 0.14 per second (with audio)